Subject: Re: bug#33740: [PATCH] Customizable flymake mode-line indicator

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 18 Sep 2019 16:09:12 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> Most probably, but a bare-bones minimal Lisp to run and investigate
>> will be appreciated.
>
> Here's a simple one:
>
> (setq my-format (concat " foo " (propertize " bar " 'face 'bold) " zot "))
> (setq mode-line-format (append mode-line-format (list 'my-format)))
>
> I get " foo bar zot " at the end of the mode line without any faces.

I did something as radical as actually reading the doc string to
mode-line-format, and doing this

(put 'my-format 'risky-local-variable t)

makes this work as expected.  Then I guess I can proceed with the
original flymake feature implementation.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no